NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Properties | List of all members
NXOpen.LineDesigner.SingleElementConveyorBuilder Class Reference

More...

Inheritance diagram for NXOpen.LineDesigner.SingleElementConveyorBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Properties

unsafe NXOpen.Point FirstConveyingSurfaceCroner [get, set]
 Returns or sets the first conveying surface corner of conveyor More...
 
unsafe NXOpen.KFObject KfObject [get]
 Returns the kf object More...
 
unsafe NXOpen.Direction MovingDirection [get, set]
 Returns or sets the moving direction of conveyor More...
 
unsafe NXOpen.Point PointOnConveyingSurface [get, set]
 Returns or sets the point on surface of conveyor are return More...
 
unsafe bool Reversible [get, set]
 Returns or sets the option to check whether conveyor is reversible More...
 
unsafe NXOpen.Point SecondConveyingSurfaceCorner [get, set]
 Returns or sets the second conveying surface corner of conveyor More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

To create a new instance of this class, use NXOpen.LineDesigner.LineDesignerManager.CreateSingleElementConveyorBuilder

Created in NX9.0.0

Property Documentation

unsafe NXOpen.Point NXOpen.LineDesigner.SingleElementConveyorBuilder.FirstConveyingSurfaceCroner
getset

Returns or sets the first conveying surface corner of conveyor

Created in NX9.0.0

License requirements to get this property: ld_line_designer ("FULL LINE DESIGNER")

License requirements to set this property: ld_line_designer ("FULL LINE DESIGNER")

unsafe NXOpen.KFObject NXOpen.LineDesigner.SingleElementConveyorBuilder.KfObject
get

Returns the kf object

Created in NX9.0.0

License requirements: ld_line_designer ("FULL LINE DESIGNER")

unsafe NXOpen.Direction NXOpen.LineDesigner.SingleElementConveyorBuilder.MovingDirection
getset

Returns or sets the moving direction of conveyor

Created in NX9.0.0

License requirements to get this property: ld_line_designer ("FULL LINE DESIGNER")

License requirements to set this property: ld_line_designer ("FULL LINE DESIGNER")

unsafe NXOpen.Point NXOpen.LineDesigner.SingleElementConveyorBuilder.PointOnConveyingSurface
getset

Returns or sets the point on surface of conveyor are return

Created in NX9.0.0

License requirements to get this property: ld_line_designer ("FULL LINE DESIGNER")

License requirements to set this property: ld_line_designer ("FULL LINE DESIGNER")

unsafe bool NXOpen.LineDesigner.SingleElementConveyorBuilder.Reversible
getset

Returns or sets the option to check whether conveyor is reversible

Created in NX9.0.0

License requirements to get this property: ld_line_designer ("FULL LINE DESIGNER")

License requirements to set this property: ld_line_designer ("FULL LINE DESIGNER")

unsafe NXOpen.Point NXOpen.LineDesigner.SingleElementConveyorBuilder.SecondConveyingSurfaceCorner
getset

Returns or sets the second conveying surface corner of conveyor

Created in NX9.0.0

License requirements to get this property: ld_line_designer ("FULL LINE DESIGNER")

License requirements to set this property: ld_line_designer ("FULL LINE DESIGNER")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.